NERSCPowering Scientific Discovery Since 1974

On 7/25/2018, the CDT 18.03 was set to default, the CDT 18.06 was installed and the CDT 17.06 was removed.

July 25, 2018 by Zhengji Zhao

During the maintenance on 7/25/2018, the CDT 18.03 was set to default, and new CDT 18.06 was made available. Also the CDT 17.06, an older version,  was deleted from the system. Here is the detail:

Software default version changes

Module NameOld Default VersionNew Default Version
cce 8.6.2 8.6.5
cray-fftw 3.3.6.2 3.3.6.3
cray-libsci 17.09.1 18.03.1
cray-mpich 
cray-mpich-abi 
cray-shmem
7.6.2 7.7.0
cray-netcdf 
cray-netcdf-hdf5parallel
4.4.1.1.3 4.4.1.1.6
cray-petsc 
cray-petsc-64
cray-petsc-complex
cray-petsc-complex-64
3.7.6.0 3.7.6.2
cray-python 17.09.1 2.7.13.1
cray-tpsl 
cray-tpsl-64
17.06.1 17.11.1
cray-trilinos 12.10.1.1 12.10.1.2 
craype 2.5.12 2.5.14
craype-ml-plugin-py2 
craype-ml-plugin-py3
N/A 1.0.1
craypkg-gen 1.3.5 1.3.6
gcc 7.1.0 7.3.0 
papi 5.5.1.3 5.5.1.4
perftools 
perftools-base 
perftools-lite
6.5.2 7.0.0
pmi, pmi-lib 5.0.12 5.0.13

Software versions removed

Module NameVersion
cce 8.6.0
cray-lgdb 3.0.6
cray-libsci 17.06.1
cray-mpich 
cray-mpich-abi 
cray-shmem
7.6.0
cray-python 17.06.1
craype 2.5.11
gcc 6.3.0
papi 5.5.1.2
perftools 
perftools-base 
perftools-lite
6.5.0
stat 3.0.1.0

New software versions available

Module NameVersion
atp 2.1.2
cce 8.7.1
cray-ccdb 3.0.4
cray-cti 1.0.7
cray-fftw 3.3.6.5
cray-ga 5.3.0.8
cray-hdf5
cray-hdf5-parallel
1.10.2.0
cray-lgdb 3.0.9
cray-libsci 18.04.1
cray-mpich 
cray-mpich-abi 
cray-shmem
7.7.1
cray-netcdf 
cray-netcdf-hdf5parallel
4.6.1.0
cray-petsc 
cray-petsc-64
cray-petsc-complex
cray-petsc-complex-64
3.8.4.0
cray-python 17.09.1
cray-tpsl 
cray-tpsl-64
18.06.1
cray-trilinos 12.12.1.0
craype 2.5.15
craypkg-gen 1.3.7
gdb4hpc 3.0.9
papi 5.6.0.2
perftools 
perftools-base 
perftools-lite
7.0.2
pmi, pmi-lib 5.0.14
stat, pmi-lib 3.0.1.2